﻿using System.ComponentModel;

namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
  public partial class ExperimentViewPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
    private DataAnalysisWizardContext context;
    public DataAnalysisWizardContext Context {
      get { return context; }
    }

    public ExperimentViewPage(DataAnalysisWizardContext context) {
      InitializeComponent();
      this.context = context;

    }

    private void ExperimentViewPage_SetActive(object sender, CancelEventArgs e) {
      experimentListView.Content = context.Experiment;
      SetWizardButton(Wizard.WizardButtons.None);
    }
  }
}
